/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumAnatomicSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumAnatomicSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_AnatomicNonColonFindings;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_AnatomicNonColonFindings;


/**
 * This class represents AnatomicNonColonFindings CID6204
 */
public class AnatomicNonColonFindings_CID6204 {

	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * The SNOMED CT ID for template.
	 */
	private String strSNOMEDCTID = null;
	/**
	 * Instantiates a new AnatomicNonColonFindings_CID6204 Template 
	 */
	public AnatomicNonColonFindings_CID6204()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}
	
	/**
	 * Retrieves the value for SNOMED-CT ID.
	 * @return String value for SNOMED-CT ID.
	 */
	public String getSNOMEDCTID() 
	{
		return strSNOMEDCTID;
	}
	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumAnatomicNonColonFindings Object of EnumCM_AnatomicNonColonFindings represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_AnatomicNonColonFindings enumAnatomicNonColonFindings)
	{
		switch(enumAnatomicNonColonFindings) 
		{
		case LIVER:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.LIVER_T_62000
					.getValue();
			break;
		case SPLEEN:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.SPLEEN_T_C3000
					.getValue();
			break;
		case KIDNEY:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.KIDNEY_T_71000
					.getValue();
			break;
		case ADRENAL_GLAND:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.ADRENAL_GLAND_T_B3000
					.getValue();
			break;
		case AORTA:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.AORTA_T_42000
					.getValue();
			break;
		case INFERIOR_VENA_CAVA:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.INFERIOR_VENA_CAVA_T_48710
					.getValue();
			break;
		case LUNG:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.LUNG_T_28000
					.getValue();
			break;
		case BONE:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.BONE_T_D016E
					.getValue();
			break;
		case TESTIS:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.TESTIS_T_94000
					.getValue();
			break;
		case UTERUS:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.UTERUS_T_83000
					.getValue();
			break;
		case OVARY:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.OVARY_T_87000
					.getValue();
			break;
		case CERVIX:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.CERVIX_T_83200
					.getValue();
			break;
		case PROSTATE:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.PROSTATE_T_92000
					.getValue();
			break;
		case SEMINAL_VESICLE:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.SEMINAL_VESICLE_T_93000
					.getValue();
			break;
		case RECTUM:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.RECTUM_T_59600
					.getValue();
			break;
		case BLADDER:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.BLADDER_T_74000
					.getValue();
			break;
		case MUSCLE:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.MUSCLE_T_13001
					.getValue();
			break;
		case BLOOD_VESSEL:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.BLOOD_VESSEL_T_40000
					.getValue();
			break;
		case APPENDIX:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.APPENDIX_T_59200
					.getValue();
			break;
		case APPENDICEAL_STUMP:
			this.strCodeValue = EnumCV_AnatomicNonColonFindings.APPENDICEAL_STUMP_T_D0874
					.getValue();
			break;

		}
	}

	/**
	 * Sets the SNOMED-CT ID.
	 * @param enumAnatomicNonColonFindings Object of EnumCM_AnatomicNonColonFindings represents Code Meaning.
	 */
	private void setSNOMEDCTID(EnumCM_AnatomicNonColonFindings enumAnatomicNonColonFindings)
	{
		switch(enumAnatomicNonColonFindings)
		{
		case LIVER:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.LIVER.getSNOMEDCTID();
			break;
		case SPLEEN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SPLEEN.getSNOMEDCTID();
			break;
		case KIDNEY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.KIDNEY.getSNOMEDCTID();
			break;
		case ADRENAL_GLAND:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.ADRENAL_GLAND
					.getSNOMEDCTID();
			break;
		case AORTA:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.AORTA.getSNOMEDCTID();
			break;
		case INFERIOR_VENA_CAVA:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INFERIOR_VENA_CAVA
					.getSNOMEDCTID();
			break;
		case LUNG:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.LUNG.getSNOMEDCTID();
			break;
		case BONE:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BONE.getSNOMEDCTID();
			break;
		case TESTIS:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.TESTIS.getSNOMEDCTID();
			break;
		case UTERUS:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.UTERUS.getSNOMEDCTID();
			break;
		case OVARY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.OVARY.getSNOMEDCTID();
			break;
		case CERVIX:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.CERVIX.getSNOMEDCTID();
			break;
		case PROSTATE:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.PROSTATE.getSNOMEDCTID();
			break;
		case SEMINAL_VESICLE:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SEMINAL_VESICLE
					.getSNOMEDCTID();
			break;
		case RECTUM:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.RECTUM.getSNOMEDCTID();
			break;
		case BLADDER:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BLADDER.getSNOMEDCTID();
			break;
		case MUSCLE:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.MUSCLE.getSNOMEDCTID();
			break;
		case BLOOD_VESSEL:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BLOOD_VESSEL
					.getSNOMEDCTID();
			break;
		case APPENDIX:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.APPENDIX.getSNOMEDCTID();
			break;
		case APPENDICEAL_STUMP:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.APPENDICEAL_STUMP
					.getSNOMEDCTID();
			break;

		}
	}

	/**
	 * Sets the value for AnatomicNonColonFindings
	 * @param enumAnatomicNonColonFindings Object of EnumCM_AnatomicNonColonFindings.
	 */
	public void setAnatomicNonColonFindings(EnumCM_AnatomicNonColonFindings enumAnatomicNonColonFindings)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumAnatomicNonColonFindings.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.SRT.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumAnatomicNonColonFindings);

		/**
		 * set SNOMED-CT ID
		 */
		setSNOMEDCTID(enumAnatomicNonColonFindings);
	}
}
